Show / Hide Table of Contents

# Class MarketBoardCurrentOfferings.MarketBoardItemListing

##### Inheritance

System.Object
MarketBoardCurrentOfferings.MarketBoardItemListing

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardItemListing

### Fields

| Improve this Doc View Source

#### ArtisanId

##### Declaration

    public ulong ArtisanId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### CatalogId

##### Declaration

    public uint CatalogId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsHq

##### Declaration

    public bool IsHq

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ItemQuantity

##### Declaration

    public uint ItemQuantity

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### LastReviewTime

##### Declaration

    public DateTime LastReviewTime

##### Field Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### ListingId

##### Declaration

    public ulong ListingId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Materia

##### Declaration

    public List<MarketBoardCurrentOfferings.MarketBoardItemListing.ItemMateria> Materia

##### Field Value

Type | Description
--- | ---
System.Collections.Generic.List<MarketBoardCurrentOfferings.MarketBoardItemListing.ItemMateria> |

| Improve this Doc View Source

#### MateriaCount

##### Declaration

    public int MateriaCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OnMannequin

##### Declaration

    public bool OnMannequin

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PlayerName

##### Declaration

    public string PlayerName

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PricePerUnit

##### Declaration

    public uint PricePerUnit

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RetainerCityId

##### Declaration

    public int RetainerCityId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RetainerId

##### Declaration

    public ulong RetainerId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### RetainerName

##### Declaration

    public string RetainerName

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RetainerOwnerId

##### Declaration

    public ulong RetainerOwnerId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### StainId

##### Declaration

    public int StainId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TotalTax

##### Declaration

    public uint TotalTax

##### Field Value

Type | Description
--- | ---
System.UInt32 |